package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Txpreg;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;

@Mapper
public interface TxpregMapper {

    int insert(Txpreg record);

    int insertSelective(Txpreg record);

    int updateByPrimaryKeySelective(Txpreg record);

    int updateByPrimaryKey(Txpreg record);

    int deleteByPrimaryKey(Txpreg record);

    Txpreg selectByPrimaryKey(Txpreg record);

    List<Txpreg> selectByTxfinr(Txpreg record);

    List<Txpreg> selectByBsnsrlno(Txpreg record);

    List<Txpreg> selectByTrninr(Txpreg record);

}